SDL-mixer-0.6.1: Binding to libSDL_mixer

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Mixer.Types

Description

# Documentation

data ChunkStruct Source

type Chunk = ForeignPtr ChunkStruct Source

data MusicStruct Source

type Music = ForeignPtr MusicStruct Source

type Channel = Int Source

data MusicType Source

Constructors

MusicNone |
MusicCmd |
MusicWav |
MusicMod |
MusicMid |
MusicOgg |
MusicMp3 |

Instances

Bounded MusicType Source |
Enum MusicType Source |
Eq MusicType Source |
Ord MusicType Source |
Show MusicType Source |

data Fading Source

Constructors

NoFading |
FadingOut |
FadingIn |

Instances

Bounded Fading Source |
Enum Fading Source |
Eq Fading Source |
Ord Fading Source |
Show Fading Source |